/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * blancoMailCore ライブラリのPOJOクラスです。
 */
package blanco.mail.core.valueobject;

/**
 * メールアドレスをあらわすバリューオブジェクト。blancoMailCore APIは このクラスを用いてメールアドレスを表現します。
 */
public class BlancoMailAddress {
    /**
     * フィールド [ADDRESS]
     *
     * 項目の型 [java.lang.String]<br>
     * メールアドレス。このフィールドには、??????@gmail.com などのようなメールアドレスを設定します。 (send) ※送信時は、必ず指定してください。
     */
    private String fAddress;

    /**
     * フィールド [PERSONAL]
     *
     * 項目の型 [java.lang.String]<br>
     * メールの個人名。「表示名」と呼ばれることがあります。このフィールドは省略可能です。
     */
    private String fPersonal;

    /**
     * フィールド [ADDRESS]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メールアドレス。このフィールドには、??????@gmail.com などのようなメールアドレスを設定します。 (send) ※送信時は、必ず指定してください。
     *
     * @param argAddress フィールド[ADDRESS]に格納したい値
     */
    public void setAddress(final String argAddress) {
        fAddress = argAddress;
    }

    /**
     * フィールド[ADDRESS]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メールアドレス。このフィールドには、??????@gmail.com などのようなメールアドレスを設定します。 (send) ※送信時は、必ず指定してください。
     *
     * @return フィールド[ADDRESS]に格納されている値
     */
    public String getAddress() {
        return fAddress;
    }

    /**
     * フィールド [PERSONAL]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メールの個人名。「表示名」と呼ばれることがあります。このフィールドは省略可能です。
     *
     * @param argPersonal フィールド[PERSONAL]に格納したい値
     */
    public void setPersonal(final String argPersonal) {
        fPersonal = argPersonal;
    }

    /**
     * フィールド[PERSONAL]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メールの個人名。「表示名」と呼ばれることがあります。このフィールドは省略可能です。
     *
     * @return フィールド[PERSONAL]に格納されている値
     */
    public String getPersonal() {
        return fPersonal;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.mail.core.valueobject.BlancoMailAddress[");
        buf.append("ADDRESS=" + fAddress);
        buf.append(",PERSONAL=" + fPersonal);
        buf.append("]");
        return buf.toString();
    }
}
